/*
    Project: TCTEMP
    Version: V1.14
    File   : na_image.h

    Copyright (c) 2006-2008 Author of TCTEMP. All rights reserved.
    Public Key Fingerprint: 75EB 6BC2 01B7 F6E7 4BD7 CC58 4A5F C393 19EE 6E69

    Covered by TrueCrypt License 2.3 the full text of which is contained
    in the file License.txt included in TCTEMP binary and source code
    distribution archives.

    The copyright notice of this source code file and the public key
    fingerprint must be retained in full.
*/

#ifndef __NA_IMAGE_H
#define __NA_IMAGE_H

#include "image.h"

typedef struct
{
    /* the sector buffers must be the first fields due to alignment issues */
    BYTE   rgbDataSector[MAX_IMAGE_SECTOR_SIZE];
    BYTE   rgbHeaderSector[MAX_IMAGE_SECTOR_SIZE];

    /* state */
    WCHAR  wszNtImageFileName[MAX_NT_PATH];
    WCHAR  wszNtDriveName[20];

    /* input data */
    WCHAR  chDriveLetter;
    PCWSTR pcwszImageFileName;

    /* objects */
    HANDLE hHeader;
    HANDLE hData;
    HANDLE hDrive;

} IMAGE_CONTEXT, *PIMAGE_CONTEXT;

BOOL NAAPI NaRestoreFileSystem(PIMAGE_CONTEXT pCtx);

#endif
